Skip to main content
GET
/
repos
/
{owner}
/
{repo}
/
issues
/
comments
List comments in a repository
curl --request GET \
  --url https://gogs.example.com/api/v1/repos/{owner}/{repo}/issues/comments \
  --header 'Authorization: <api-key>'
[
  {
    "id": 123,
    "html_url": "<string>",
    "user": {
      "id": 123,
      "username": "<string>",
      "login": "<string>",
      "full_name": "<string>",
      "email": "jsmith@example.com",
      "avatar_url": "<string>"
    },
    "body": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://gogs.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Personal access token. Use format: token {YOUR_ACCESS_TOKEN}

Path Parameters

owner
string
required

Repository owner

repo
string
required

Repository name

Query Parameters

since
string

Only comments updated at or after this time (RFC 3339)

Response

Success

id
integer
html_url
string
user
object
body
string
created_at
string<date-time>
updated_at
string<date-time>